Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.rmi.server
Class RemoteServer

    java.lang.Object
      weblogic.rmi.server.RemoteObject
          weblogic.rmi.server.RemoteServer

All Implemented Interfaces:
  Remote

Direct Known Subclasses:
  UnicastRemoteObject

public abstract class RemoteServer
extends RemoteObject

This abstract class is provided strictly for compatibility with `java.rmi.*` package.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`protected` | `RemoteServer()`

Method Summary
`static String` | `getClientHost()` Returns a string representation of the client host for the remote method invocation being processed in the current thread.
`static PrintStream` | `getLog()` Returns the stream for an RMI call log.
`static void` | `setLog(OutputStream out)` Logs RMI calls to the output stream, `out`.

Methods inherited from class weblogic.rmi.server.RemoteObject
`toStub`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteServer

    protected RemoteServer()

Method Detail

### getClientHost

    public static String getClientHost()
                                throws ServerNotActiveException

  Returns a string representation of the client host for the remote method invocation being processed in the current thread.

  Returns:
    a string representation of the client host.
  Throws:
    `ServerNotActiveException` - if no remote method invocation is being processed in the current thread.

### getLog

    public static PrintStream getLog()

  Returns the stream for an RMI call log.

  Returns:
    the call log.
  See Also:
    `setLog(java.io.OutputStream)`

### setLog

    public static void setLog(OutputStream out)

  Logs RMI calls to the output stream, `out`.
  - If `out` is `null`, call logging is turned off.
  - If a security manager is present, its `checkPermission` method is invoked with `java.util.logging.LoggingPermission("control")` permission.

  Parameters:
    `out` - the output stream to which RMI calls are logged.
  Throws:
    `SecurityException` - if there is a security manager and the invocation of its `checkPermission` method fails.
  See Also:
    `getLog()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD